# Class MeshCapper.MeshCapperSorter

java.lang.Object
org.jmol.util.MeshCapper.MeshCapperSorter

All Implemented Interfaces:
  `Comparator<org.jmol.util.MeshCapper.CapVertex>`

Enclosing class:
  `MeshCapper`

public class MeshCapper.MeshCapperSorter extends Object implements Comparator<org.jmol.util.MeshCapper.CapVertex>

Author:
  Bob Hanson, hansonr@stolaf.edu

## Constructor Summary

Constructors
Constructor
Description
`MeshCapperSorter()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(org.jmol.util.MeshCapper.CapVertex v1, org.jmol.util.MeshCapper.CapVertex v2)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Constructor Details

### MeshCapperSorter

public MeshCapperSorter()

## Method Details

### compare

public int compare(org.jmol.util.MeshCapper.CapVertex v1, org.jmol.util.MeshCapper.CapVertex v2)

Specified by:
  `compare` in interface `Comparator<org.jmol.util.MeshCapper.CapVertex>`